> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update recipient

> Update a contract recipient's name, email, message or action via the Sendforsign API.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**contractKey** `string` *required*

Key of the contract.

**recipient** `object` *required*

Structure, add the fields that need to be updated and ignore the rest.

**child attribute**

**recipientKey** `string` *required*

Key of the recipient that needs to be updated.

**action** `string`

What the recipient needs to do with the contract. Available options: `view`, `sign`, `approve`, and `lock`.

**customMessage** `string`

Custom note to the recipient. If not specified, the default message will be sent.

**fullname** `string`

Full name of the recipient.

**email** `string`

Email of the recipient.

**position** `number`

Signing order. If not specified, all requests will be sent simultaneously.

### Response

**recipient** `string`

Recipient structure.

**child attribute**

**changeTime** `string`

Change time.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/recipient' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "action": "update",
        "clientKey": "YOUR_CLIENT_KEY",
        "contractKey": "CONTRACT_KEY",
        "recipient": {
            "recipientKey": "RECIPIENT_KEY",
            "action": "view",
            "clientKey": "YOUR_CLIENT_KEY",
            "customMessage": "Custom message text",
            "fullname": "Full Name",
            "email": "email@email.com",
            "position": 1
        }
    }
}'
```

```json Response theme={null}
	  {
       "recipient": {
                "changeTime": "2023-12-01 12:18:55"
		},
       "code": "201",
       "message": "Recipient updated"
    } 
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.